> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a Deployment Target

> Updates a Deployment Target.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml patch /api/admin/v1/deploymentTargets/{deploymentTargetId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/admin/v1/deploymentTargets/{deploymentTargetId}:
    patch:
      tags:
        - DeploymentTargets
      summary: Updates a Deployment Target
      description: Updates a Deployment Target.
      operationId: updateDeploymentTarget
      parameters:
        - description: ID of Deployment Target
          in: path
          name: deploymentTargetId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatedDeploymentTarget'
        description: Details of the Deployment Target to create
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentTarget'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    UpdatedDeploymentTarget:
      description: Deployment Target update request
      properties:
        configuration:
          description: >-
            Configuration of this Deployment Target following the schema in its
            Deployment Target Type
          type: object
        isGloballyAccessible:
          description: Whether or not the Deployment Target is globally accessible
          type: boolean
        name:
          description: Internal name for the Deployment Target
          example: Production
          type: string
        resourceConfigurations:
          description: >-
            Updated Resource Configurations - updates existing resource
            configurations for values with specified id fields - creates new
            resource configurations for values without specified id fields -
            deletes existing resource configurations not specified in the array
          items:
            $ref: '#/components/schemas/NewOrUpdatedResourceConfiguration'
          type: array
        userAndOrganizationIds:
          description: User and Organization IDs that can use this Deployment Target
          items:
            type: string
          type: array
      type: object
    DeploymentTarget:
      description: Deployment Target
      properties:
        configuration:
          description: >-
            Configuration of this Deployment Target following the schema in its
            Deployment Target Type
          type: object
        defaultResourceConfigurationId:
          description: The ID of the default resource configuration
          type: string
        deploymentTargetTypeId:
          description: ID of the Deployment Target Type this Deployment Target belongs to
          type: string
        deploymentTargetTypeName:
          description: Name of the Deployment Target Type this Deployment Target belongs to
          type: string
        id:
          description: UUID for the Deployment Target
          type: string
        isGloballyAccessible:
          description: Whether or not the Deployment Target is globally accessible
          type: boolean
        lastModified:
          description: >-
            Timestamp of the last update to the deployment target (will be the
            creation timestamp on creation)
          format: date-time
          type: string
        name:
          description: Internal name for the Deployment Target
          example: Production
          type: string
        resourceConfigurations:
          items:
            $ref: '#/components/schemas/ResourceConfiguration'
          type: array
        userAndOrganizationIds:
          description: User and Organization IDs that can use this Deployment Target
          items:
            type: string
          type: array
      required:
        - id
        - name
        - deploymentTargetTypeId
        - deploymentTargetTypeName
        - isGloballyAccessible
        - userAndOrganizationIds
        - configuration
        - lastModified
      type: object
    NewOrUpdatedResourceConfiguration:
      description: Resource Configuration create or update request
      properties:
        configuration:
          description: >-
            Configuration of this Resource Configuration following the schema in
            its Deployment Target Type
          type: object
        description:
          description: Description for the Resource Configuration
          type: string
        id:
          description: >-
            UUID for the Resource Configuration. Must be included if updating an
            existing Resource Configuration. If missing, a new Resource
            Configuration is created.
          type: string
        isDefault:
          description: Whether the resource configuration is the default one
          type: boolean
        name:
          description: Internal name for the Resource Configuration
          example: gpu_large
          type: string
      type: object
    ResourceConfiguration:
      description: Resource Configuration
      properties:
        configuration:
          description: >-
            Configuration of this Resource Configuration following the schema in
            its Deployment Target Type
          type: object
        deploymentTargetId:
          description: ID of the Deployment Target this Resource Configuration belongs to
          type: string
        description:
          description: Description for the Resource Configuration
          type: string
        id:
          description: UUID for the Resource Configuration
          type: string
        lastModified:
          description: >-
            Timestamp of the last update to the resource configuration (will be
            the creation timestamp on creation)
          format: date-time
          type: string
        name:
          description: Internal name for the Resource Configuration
          example: gpu_large
          type: string
      required:
        - id
        - name
        - deploymentTargetId
        - configuration
        - lastModified
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````